Jump to content

jrivett

Members
  • Content count

    9
  • Joined

  • Last visited

1 Follower

Profile Information

  • Real Name
    Jeff Rivett
  1. jrivett

    Smoothe Populate

    FYI this is definitely fixed in SP 1.2. Yay!
  2. jrivett

    Smoothe Populate

    I'm importing products into OSC with SP. Everything is basically working okay, with one exception: the existing category and manufacturer images are being blanked out during the import. For example, I've already set up the category "CatA" and the manufacturer "MfgA" in OSC, both with images. I then import a few products, one of which is in category CatA and from manufacturer MfgA. Once the import is finished, I look at the details for CatA and MfgA and neither has an image associated with it. I tried removing all the related image fields from the import but that made no difference. I understand from the documentation that if a manufacturer or a category processed during import is already in the OSC database, the image will be updated. But that only makes sense if I want to update the image. What if I'm importing new products with existing categories and manufacturers and I have no interest in changing their images? Weird.
  3. jrivett

    Smoothe Populate

    Well, that sounds encouraging. OSC does seem to work fine on our server. The OSC documentation states that "osCommerce runs on all PHP enabled web servers" and it doesn't specify any particular version for Apache. Are you saying that OSC was tested under 1.3.37 and it worked fine, or were you referring to SP? I'm assuming the former (OSC). In that case, the "requirement" for Apache 2.2.9 listed for OSC is presumably based only on the fact that it hasn't been officially tested on Apache 1.x. In which case I think I'll be okay. Thanks for the info!
  4. jrivett

    Smoothe Populate

    Okay, thanks for clearing that up.
  5. jrivett

    Smoothe Populate

    That's the version I'm using. Still, I downloaded SP again - from the link you posted - and looked at configdef.php. As expected, it's exactly the same as the file I'm using, and it also refers to admin/includes/configure.php. So, thanks for trying to help, but the issue remains.
  6. jrivett

    Smoothe Populate

    I'm looking at the configdef.php and configvar.php files, as requested by the SP installation documentation. I immediately ran into this: ------------------------------------------------------------------------------------------------ THE DIR_FS_DOCUMENT_ROOT SETTING DIR_FS_DOCUMENT_ROOT is set in your /catalog/admin/includes/configure.php You should look at the setting DIR_FS_DOCUMENT_ROOT setting. ------------------------------------------------------------------------------------------------ Here's the problem: there's no such file in my OSC 3.0 alpha 5 installation. I don't think that file exists any more in OSC 3. Since SP was designed to work with OSC 3 I'm having trouble understanding what I should do about this. Any suggestions?
  7. jrivett

    Smoothe Populate

    A question about the requirements for Smoothe Populate: Is Apache 2.2.9 actually required for SP to operate properly? My ISP unfortunately is still back on Apache 1.3.41, which is still being maintained and supported and is secure, but is getting a bit old. The last update was in January 2008 and fixed a few security issues. I'm about to start testing SP and just wanted to know what kinds of problems I'm likely to encounter given the old Apache version I'm stuck with. Am I going to be able to work around the problems or are they huge, deal-breakers? Thanks in advance for any info.
×